import Api from "~/service/Api"
export default {
                onLitp1Butgetref(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/litp1_butgetref",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLitp1Hth(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/litp1_hth",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onAplpDet(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/aplp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onAdvpDet(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/advp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onBenpDet(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/benp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onRevclauseButtxmsel(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/revclause_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLcrgodButtxmsel(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/lcrgod_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLcrdocButtxmsel(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/lcrdoc_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onAdlcndButtxmsel(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/adlcnd_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onInsbnkButtxmsel(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/insbnk_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onRmbpDet(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/rmbp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onPreperButtxmsel(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/preper_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onAgepDet(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/agep_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onYfbpDet(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/yfbp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onSetmodDet(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/setmod_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLiaallButmisamt(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/liaall_butmisamt",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLiaallButmissig(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/liaall_butmissig",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLiaccvAdd(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/liaccv_add",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLiaccvDel(){
                this.root.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/liaccv_del",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },

}